# Check if Responded

You can pass a survey token to this API to check if a particular user has responded to the survey before showing it. This method takes a string token as an argument and returns a boolean.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
let hasResponded = Surveys.hasRespondedToSurvey(withToken: "TOKEN")
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
BOOL hasResponded = [LCQSurveys hasRespondedToSurveyWithToken:@"TOKEN"];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Surveys.hasRespondToSurvey("TOKEN");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Surveys.hasRespondToSurvey("TOKEN")
```

{% endtab %}

{% tab title="RN" %}

```javascript
Surveys.hasRespondedToSurvey("SURVEY_TOKEN", function(hasResponded) {
  alert("Has Responded: "+hasResponded);
});
```

{% endtab %}

{% tab title="Flutter" %}

```dart
final hasResponded = Surveys.hasRespondedToSurvey("SURVEY_TOKEN");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-surveys/check-if-responded.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
